<?php

namespace Drupal\mon_oauth2_server;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Defines the interface for token entities.
 *
 * @package Drupal\mon_oauth2_server
 */
interface AuthorizationCodeInterface extends ContentEntityInterface {

  /**
   * Return the user the code belongs to.
   *
   * @return \Drupal\user\UserInterface
   *   The user object or FALSE.
   */
  public function getUser();

  /**
   * Return the client the code belongs to.
   *
   * @return \Drupal\mon_oauth2_server\ClientInterface
   *   The client object or FALSE.
   */
  public function getClient();

}
