<?php

namespace Drupal\mon_oauth2_server\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\mon_oauth2_server\ServerInterface;

/**
 * Class Server Controller.
 *
 * @package Drupal\mon_oauth2_server\Controller
 */
class ServerController extends ControllerBase {

  /**
   * Enables a OAuth2 server without a confirmation form.
   *
   * @param \Drupal\mon_oauth2_server\ServerInterface $mon_oauth2_server
   *   The server to be enabled.
   *
   * @return \Symfony\Component\HttpFoundation\Response
   *   The response to send to the browser.
   *
   * @throws \Drupal\Core\Entity\EntityStorageException
   */
  public function serverBypassEnable(ServerInterface $mon_oauth2_server) {
    $mon_oauth2_server->setStatus(TRUE)->save();

    // Notify the user about the status change.
    $this->messenger()->addMessage(
      $this->t(
        'The OAuth2 server %name has been enabled.',
        [
          '%name' => $mon_oauth2_server->label(),
        ]
      )
    );
    return $this->redirect('mon_oauth2_server.overview');
  }

}
